Anunţ

Caută printre mesajele de pe forum înainte de a scrie unul nou!
Formulează corect întrebarea sau problema pe care o ai.
Respectă regulile forumului și Codul de Conduită!

#1 02 May 2010 11:57:49

satwien
Membru
Locaţie: Bucuresti
Înregistrat: 21 May 2009
Mesaje: 565

Lucid Lynx (10.04) amd64 - Instalare Adobe FlashPlayer pentru FF

Scriptul este copiat de aici si l-am testat pe Ubuntu Lucid Lynx 10.04 x86_64 cu Firefox 3.6.3 (versiunea instalata default).

1. Creati pe Desktop un fisier doc gol si numiti-l cum vreti.

2. Copiati in interiorul documentului urmatorul cod:

Cod:

#!/bin/bash

## First we make the working directory
sudo mkdir /tmp/pluginstall

#choose version of ubuntu
#Input code browser
function strinput {
 unset refstr
 echo -n "$1"
 read refstr
}

## Ask if they agree to file bug reports, sort of a reminder
echo
echo " This script is used to setup the Flash 10 Prerelease. "
echo " By entering yes below you acknowlage that you "
echo " are installing development software and you "
echo " will file bug reports with Adobe for every "
echo " problem you incounter."
echo
echo " Do you agree? yes or no : "


if [ "$installtype" = "" ]
then
 echo -n "(please type the whole word in lower case letters)"
 strinput
else
 refstr=$installtype
fi

if [ "$refstr" = "yes" ]
then
 echo "Flash installing."


## First we uninstall and remove all the existing flash packages

# No longer trying to reply nspluginwrapper since Acrobat Reader 9 requires it
#sudo apt-get -y purge nspluginwrapper
sudo apt-get -y purge mozilla-plugin-gnash
sudo apt-get -y purge swfdec-mozilla
sudo apt-get -y purge flashplugin-nonfree
#sudo rm -rfd /usr/lib/nspluginwrapper
sudo rm -f /usr/lib/firefox-addons/plugins/libflashplayer.so
sudo rm -f /usr/lib/mozilla/plugins/libflashplayer.so
sudo rm -f /usr/lib/mozilla/plugins/flashplugin-alternative.so
sudo rm -f /usr/lib/mozilla/plugins/npwrapper*flash*so
rm -f ~/.mozilla/plugins/*flash*so

## What is current version?
export version="10.0.45.2"

## Then we make a temp folder and download the new plugin
cd /tmp/pluginstall
sudo wget http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-$version.linux-x86_64.so.tar.gz

## Next we extract and place the plugin
sudo tar xvf libflashplayer-$version.linux-x86_64.so.tar.gz
sudo mv libflashplayer.so /usr/lib/mozilla/plugins/
sudo ln -s /usr/lib/mozilla/plugins/libflashplayer.so /usr/lib/firefox-addons/plugins/

echo "Please restart Firefox to enable Flash"

elif [ "$refstr" = "no" ]
then
 echo "I am sorry but you have to agree. "

else
 echo  " I am sorry but you have to agree. "
 echo
fi

3. Dati drepturi 755 acestui fisier si veti avea un script executabil
http://www.ubuntu-pics.de/bild/55736/flash64_properties_001_0rlr4s.jpg

4. Inchideti Firefox

5. Dublu click pe fisierul creat si apoi alegeti "Run in Terminal"

6. Urmariti instructiunile care apar in fereastra (trebuie sa scrieti yes la un moment dat)

7. Testati daca instalarea s-a facut corect accesand http://www.adobe.com/software/flash/about/

Acum nu ar mai trebui sa mai aveti probleme cu Youtube sau alte pagini care folosesc Adobe Flash.

Spor!


Ubuntu 10.10 Maverick Meerkat (x86_64 Desktop)
Q9650 OC 3.9 GHz (racire pe apa) / nVidia GT240 / P5QL Pro

Offline

 

#2 16 May 2010 18:06:50

M1hai
Membru
Locaţie: Sibiu
Înregistrat: 16 May 2010
Mesaje: 54

Re: Lucid Lynx (10.04) amd64 - Instalare Adobe FlashPlayer pentru FF

mie mia mers instalare flash plugin si din ubuntu software center am ubuntu 10.04 amd64 si am scris flash in USC si mi la instalat

Offline

 

#3 16 May 2010 21:09:28

luken12
Membru nou
Locaţie: arad
Înregistrat: 13 May 2010
Mesaje: 15

Re: Lucid Lynx (10.04) amd64 - Instalare Adobe FlashPlayer pentru FF

La mine a mers cu aceasta comanda fara sa mai fac nimic  sudo apt-get install flashplugin-nonfree

Offline

 

#4 04 Jun 2010 18:11:18

AXS
Membru nou
Înregistrat: 04 Jun 2010
Mesaje: 8

Re: Lucid Lynx (10.04) amd64 - Instalare Adobe FlashPlayer pentru FF

Optiunile incluse sunt doar pentru 32 bit si nu merg full screen videoclipurile mai vechi. Eu am instalat o versiune pentru 64 bit - aceasta merge si in FS, dar daca misc sliderul de la volum in FS imi merge in poze. smile

Offline

 

#5 05 Jun 2010 12:28:05

xanthux
Membru
Locaţie: Tokyo
Înregistrat: 07 Feb 2008
Mesaje: 135

Re: Lucid Lynx (10.04) amd64 - Instalare Adobe FlashPlayer pentru FF

satwien
multam

Offline

 

#6 16 Sep 2010 02:46:09

Unified
Membru
Înregistrat: 04 Sep 2010
Mesaje: 67

Re: Lucid Lynx (10.04) amd64 - Instalare Adobe FlashPlayer pentru FF

Cod:

sudo apt-get -y purge mozilla-plugin-gnash
sudo apt-get -y purge swfdec-mozilla
sudo apt-get -y purge flashplugin-nonfree

Ce face flagul "-y" din scriptul de mai sus?


I get paid to support Windows, I use Linux to get work done
.-.. .. -. ..- -..- / .-- .. .-.. .-.. / .- ... ... .. -- .. .-.. .- - . / -.-- --- ..- -.-.--

Offline

 

#7 16 Sep 2010 03:00:18

nomemory
Membru
Locaţie: Bucuresti
Înregistrat: 05 Jul 2008
Mesaje: 1200
Site web

Re: Lucid Lynx (10.04) amd64 - Instalare Adobe FlashPlayer pentru FF

Cod:

man apt-get

man a scris:

-y, --yes, --assume-yes
           Automatic yes to prompts; assume "yes" as answer to all prompts and
           run non-interactively. If an undesirable situation, such as
           changing a held package, trying to install a unauthenticated
           package or removing an essential package occurs then apt-get will
           abort. Configuration Item: APT::Get::Assume-Yes.


Xander Bilmonchuk: "Can I just suggest that the only rational explanation for how horrible Unity and Gnome 3 are is that Microsoft or other terrified proprietary competitors have planted moles on the dev team to destroy this once awesome interface and cause the slow death and abandonment of Ubuntu."

Offline

 

#8 16 Sep 2010 12:41:23

Unified
Membru
Înregistrat: 04 Sep 2010
Mesaje: 67

Re: Lucid Lynx (10.04) amd64 - Instalare Adobe FlashPlayer pentru FF

nomemory a scris:

Cod:

man apt-get

man a scris:

-y, --yes, --assume-yes
           Automatic yes to prompts; assume "yes" as answer to all prompts and
           run non-interactively. If an undesirable situation, such as
           changing a held package, trying to install a unauthenticated
           package or removing an essential package occurs then apt-get will
           abort. Configuration Item: APT::Get::Assume-Yes.

Multumesc frumos pentru lamuriri!


I get paid to support Windows, I use Linux to get work done
.-.. .. -. ..- -..- / .-- .. .-.. .-.. / .- ... ... .. -- .. .-.. .- - . / -.-- --- ..- -.-.--

Offline

 
Feed

Antet forum

Powered by FluxBB